features:
  primary:
    - name: "Use HashiCorp Vault secrets in CI jobs"
      available_in: [premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/secrets'
      image_url: '/images/13_4/vault_ci.png'
      reporter: jmeshell
      stage: release
      categories:
        - 'Secrets Management'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/28321'
      description: |
       In GitLab 12.10, GitLab introduced functionality for GitLab Runner to fetch and inject secrets into CI jobs. GitLab is now expanding the [JWT Vault Authentication method](https://docs.gitlab.com/ee/ci/examples/authenticating-with-hashicorp-vault/) by building a new `secrets` syntax in the `.gitlab-ci.yml` file. This makes it easier for you to configure and use HashiCorp Vault with GitLab.
